// Read COPYING for licensing details.

#include <FL/mlu.h>
#include <stdlib.h>
#include <stdio.h>

int
main(int argc, char *argv[])
{
	const float a[] =
	{ 
		1, 2, 0, -1, 1, 0, 1, 2, 1
	};
	float minv[9], mid[9];

	printf("matrix:\n");
	mluSquareMatrixfv(ML_MATRIX_PRINT, 3, a, NULL);
	mluSquareMatrixfv(ML_MATRIX_INVERSE, 3, a, minv);
	printf("inverse of this matrix:\n");
	mluSquareMatrixfv(ML_MATRIX_PRINT, 3, minv, NULL);
	printf("multiplication ot these two matrices:\n");
	mluSquareMatrix2fv(ML_MULT_MATRIX_AND_MATRIX, 3, a, 3, minv, mid);
	mluSquareMatrixfv(ML_MATRIX_PRINT, 3, mid, NULL);

	return EXIT_SUCCESS;
}
