// Read COPYING for licensing details.

#include <FL/mlu.h>

void
mluSquareMatrix2f(MLenum pname, MLsizei order, const MLfloat *param1, MLfloat param2, MLfloat *result)
{
	mlMatrix2f(pname, order, order, param1, param2, result);
}

void
mluSquareMatrix3f(MLenum pname, MLsizei order, const MLfloat *param1, MLfloat param2, MLfloat param3, MLfloat *result)
{
	mlMatrix3f(pname, order, order, param1, param2, param3, result);
}

void
mluSquareMatrixfv(MLenum pname, MLsizei order, const MLfloat *param, MLfloat *result)
{
	mlMatrixfv(pname, order, order, param, result);
}

void
mluSquareMatrix2fv(MLenum pname, MLsizei order1, const MLfloat *param1, MLsizei order2, const MLfloat *param2, MLfloat *result)
{
	mlMatrix2fv(pname, order1, order1, param1, order2, order2, param2, result);
}
